# ReflectionMethod::createFromMethodName

(PHP 8 >= 8.3.0)

ReflectionMethod::createFromMethodName — Creates a new ReflectionMethod

### Beschreibung

public static ReflectionMethod::createFromMethodName(string `$method`): static

Creates a new ReflectionMethod.

### Parameter-Liste

`method`

  Class name and method name delimited by `::`.

### Rückgabewerte

Returns a new ReflectionMethod on success.

### Fehler/Exceptions

A ReflectionException is thrown if the given method does not exist.

### Beispiele

Beispiel #1 ReflectionMethod::createFromMethodName() example

`<?php
class Foo {
public function bar() {
}
}
$methodInfo = ReflectionMethod::createFromMethodName("Foo::bar");
var_dump($methodInfo);
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    object(ReflectionMethod)#1 (2) {
      ["name"]=>
      string(3) "bar"
      ["class"]=>
      string(3) "Foo"
    }

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open